Gecode::Int::TaskTraits< Unary::OptFixPTask > Class Reference

Task traits for optional fixed tasks. More...

`#include <unary.hh>`

## Public Types

typedef Unary::OptFixPTaskFwd | TaskViewFwd
| The forward task view type.
typedef Unary::OptFixPTaskBwd | TaskViewBwd
| The backward task view type.
typedef Unary::ManFixPTask | ManTask
| The corresponding mandatory task.

## Detailed Description

Task traits for optional fixed tasks.

Definition at line 611 of file unary.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Unary::OptFixPTaskFwd Gecode::Int::TaskTraits< Unary::OptFixPTask >::TaskViewFwd

The forward task view type.

Definition at line 614 of file unary.hh.

## TaskViewBwd

typedef Unary::OptFixPTaskBwd Gecode::Int::TaskTraits< Unary::OptFixPTask >::TaskViewBwd

The backward task view type.

Definition at line 616 of file unary.hh.

## ManTask

typedef Unary::ManFixPTask Gecode::Int::TaskTraits< Unary::OptFixPTask >::ManTask

The corresponding mandatory task.

Definition at line 618 of file unary.hh.

The documentation for this class was generated from the following file:

- gecode/int/unary.hh